lintian (2.129.0ubuntu2.1) resolute; urgency=medium

  * Welcome Stonking Stingray! (LP: #2151306)

 -- Oliver Reiche <oliver.reiche@canonical.com>  Wed, 06 May 2026 16:19:34 +0200

lintian (2.129.0ubuntu2) resolute; urgency=medium

  * Fix FTBFS in Resolute (LP: #2147180). Fixed in Debian in versions
    2.130.0-2.132.0:
    - Replace hardcoded "a <>" in test changelog trailers with
      "[% $author %] [% $date %]": dpkg 1.23.6 now fatally rejects invalid
      emails in changelog entries. Update eval/hints for
      fields/mail-address/generic-empty accordingly
    - fields-trailing-comma-in-maintainer-field: add custom changelog.in with a
      valid trailer author, the fill-values Author has a trailing comma making
      it unparseable by dpkg 1.23.6
    - changelog-file-invalid-date: add custom rules overriding
      dh_installchangelogs to install the changelog manually, debhelper 13.31
      now fatally rejects invalid timestamps
    - changelog-file-news-general, changelog-file-news-version: add custom rules
      to install NEWS.Debian manually. debhelper 13.31 trims NEWS entries older
      than the main changelog date
    - changelog-file-empty-entry: remove extraneous change data from the second
      entry so the trailer falls at the line number expected by hints
    - min-js-with-sources, cruft-minified-js: add skip files, terser output line
      length varies by version
  * Bump Standards-Version to 4.7.4

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Fri, 10 Apr 2026 10:49:33 +0200

lintian (2.129.0ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2139419). Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP #1918120)
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP #1923845)
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP #1950989)
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.
    - d/control: Fix wrong dependency plzip to lzip
  * Skip upstream signature tests that trigger dpkg GnuPG backend crash
    (LP: #2142108)
  * Fix appstream-metadata-validation-failed detection with double-quoted
    appstreamcli output
    appstreamcli's --format=yaml output uses double quotes in Ubuntu but
    single quotes in Debian. Update the regex to handle both styles.
    Also remove unnecessary YAML parsing that can crash on invalid output
    (Bug in Debian #1128262).

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Tue, 18 Feb 2026 12:00:00 +0100

lintian (2.129.0) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * d/control: tighten dpkg version restriction and drop other old and
    outdated restrictions
  * Fix false-positive for orig-tarball-missing-upstream-signature when using
    debian/watch v5 files and the gittag mode.
  * d/control: Add Nilesh Patra as maintainer. (Closes: #1012289)
  * d/control: Standards-Version bump to 4.7.3. Remove redundant 'Priority:
    optional' field.

  [ Aurelien Jarno ]
  * hardening-no-fortify-functions: fix detection of IEEE 128-bit long double

  [ James Addison ]
  * Detect embedded minizip usage

  [ Nilesh Patra ]
  * Add new tag "testsuite-restrictions-has-deprecated-skip-not-installable"
    (Closes: #1123542)
  * Fix compatibility with dpkg >= 1.23.4
  * Drop right-to-left-override and colorful (See #1126502)
  * Skip d/watch processing on (empty) lines with comments and spaces (Closes:
    #1125489)

  [ Timo Paulssen ]
  * Files/Generated: Use SlidingWindow instead of getline

  [ William Desportes ]
  * Fix detecting dh-sequence-{phppear,phpcomposer}, fix
    pear-package-without-pkg-php-tools-builddep and
    composer-package-without-pkg-php-tools-builddep

  [ Simon McVittie ]
  * obsolete-packages: Add obsolete transitional names for libgd-perl

  [ Andrius Merkys ]
  * Disable pattern metacharacters in surplus_manpages regex to fix unmatched
    bracket. Closes: #1126459

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 02 Feb 2026 22:19:42 -0500

lintian (2.128.1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Check for "Priority: optional" field in binary packages only if the source
    package specifies it as optional/omits it. (Closes: #1124442)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 01 Jan 2026 22:28:30 -0500

lintian (2.128.0) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Refresh data sources - 2025-12-28
  * Downgrade field-too-long from 'error' to 'warning'. Closes: #1021207
  * Add debian/.gitlab-ci.yml to @KNOWN_LOCATIONS. (Closes: #1123984)
  * Remove tag 'built-using-field-on-arch-all-package' (Closes: #999785)

  [ Nilesh Patra ]
  * Remove recommended-field check for "Priority:" field (Closes: #1111513)
  * Remove bsdutils from essential package set check (Closes: #1118442)
  * Add some missing team domains for team maintained packages and flagging
    packages using alioth domain
  * Do not check for missing-call-to-dpkg-maintscript-helper on udeb (Closes:
    #1119083)

  [ Rong Fu ]
  * Add known-dists for eLxr

  [ Luca Boccassi ]
  * Downgrade hardening-no-fortify-functions to experimental (Closes: #931112)

  [ Rafael Laboissière ]
  * Prevent non-ar *.a files from triggering false positives in
    unpack-message-for-{source,orig,deb-data} (Closes: #1120737)

  [ Jeremy Bícha ]
  * Remove library-not-linked-against-libc check (Closes: #896012, #909267)
  * Remove stray-devhelp-documentation

  [ Bas Couwenberg ]
  * Fix FTBFS with dpkg 1.23.0. (closes: #1123580)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 30 Dec 2025 19:00:24 -0500

lintian (2.127.0ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130122). Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP #1918120)
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP #1923845)
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP #1950989)
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.
    - d/control: Fix wrong dependency plzip to lzip
    Dropping changes applied in Debian:
    - Add 'resolute' to known distro series (LP #2127769)
    - Fix tests when /bin/true is a symlink (uutils) (LP #2124969)

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Mon, 08 Dec 2025 11:57:07 +0100

lintian (2.127.0) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * adjust phrasing in the newly documented debug entries.
  * Add information on the Origin field being parsed in the
    patch-not-forwarded-upstream tag. (Closes: #1065870)
  * d/control: remove redundant Rules-Requires-Root field.

  [ Rafael Laboissière ]
  * Correctly parse the paragraphs in watch file with format v5.
    (Closes: #1115463)

  [ Emanuele Rocca ]
  * hardening-no-fortify-functions: exclude Rust code.
  * Suggest solution for tests without purpose.

  [ Alexandre Detiste ]
  * add python3-tz to the list of obsolete-packages.

  [ Nilesh Patra ]
  * Expand @builddeps@ and @recommends@ field if it specified in Test Depends.
    (Closes: #1017916, #1024610)
  * Add a check in existing check to smoket-test @builddeps@ and @recommends@
    are expanded.
  * Display the package against which (build-,)depends-obsolete-bootstrap is
    issued. Adjust tests accordingly. (Closes: #1065177)

  [ Dima Kogan ]
  * Document --debug parameter.
  * Improved documentation for lintian-override files. (Closes: #1077709)

  [ Marc Leeman ]
  * recursive-privilege-change: do not trigger with -maxdepth 1.

  [ Florent 'Skia' Jacquet ]
  * tests: fix 'binaries-misplaced' pkg if '/bin/true' is a symlink.
  * Add 'Resolute Raccoon' in the list of known Ubuntu series.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 16 Oct 2025 15:31:04 -0400

lintian (2.126.0ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2127772). Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.
    - d/control: Fix wrong dependency plzip to lzip
  * New changes:
    - Fix tests when /bin/true is a symlink (uutils) (LP: #2124969)
    - Add 'resolute' to known distro series (LP: #2127769)

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Mon, 13 Oct 2025 11:38:02 +0200

lintian (2.126.0) unstable; urgency=medium

  [ Nilesh Patra ]
  * New pedantic tag: redundant-rules-requires-root-no-field
  * Remove silent-on-rules-requires-root tag and tweak condition for
    rules-do-not-require-root
  * Change regex for yaml parsing after appstreamcli output to comply with
    appstream 1.1.0.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 18 Sep 2025 10:24:20 -0400

lintian (2.125.0) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * fix typo in the uses-gbp-conf tag
  * salsa-ci: re-enable backports build tests

  [ intrigeri ]
  * obsolete-packages: Deprecate libany-moose-perl

  [ William Desportes ]
  * Fix jquery-validation package name

  [ Yadd ]
  * Replace deprecated uglifyjs by terser in test and related dependencies

  [ Otto Kekäläinen ]
  * New classification tag: uses-gbp-conf
  * Misc documentation improvements

  [ Nilesh Patra ]
  * Remove debian-watch-file-in-native-package tag (Closes: #1114873)
  * Update OldStable Epoch after trixie release
  * Add fields in source-fields that are added by tag2upload

  [ Samuel Thibault ]
  * Add "unreleased" release

  [ Alexandre Detiste ]
  * remove removed makefile fragments from list

  [ Emanuele Rocca ]
  * Mention StaticLinking wiki page for go programs

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 16 Sep 2025 15:36:56 -0400

lintian (2.124.0) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Bump the uses-debhelper-compat-file tag from pedantic to warning.
    and add mention of breakage in dh14.
  * Try to decode font file using utf8 if it fails with cp1252.

  [ Matt Barry ]
  * Check file_type in LineLength. (Closes: #1014255)

  [ Nilesh Patra ]
  * Adjust tests to not display very-long-line-length on non-ascii/unicode
    files.

  [ Yadd ]
  * Update lintian to accept debian/watch files version 5.

  [ Alexandre Detiste ]
  * apply the Multi-Arch hint for lintian-doc.

  [ Simon McVittie ]
  * obsolete-packages: Deprecate libgirepository1.0-dev.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 08 Sep 2025 09:21:44 -0400

lintian (2.123.0) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * d/copyright: Clean file and remove old FSF address
  * Refresh copyright by adding names of important contributors past 2017
  * Remove obsolete maintainer-script-lacks-home-in-adduser tag.
    (Closes: #1108232)
  * Make lintian-explain-tags exit with an error message when asked about a
    non-existing tag. (Closes: #1042436)
  * add support for "/usr/lib/jvm/java-$VERSION-openjdk-$ARCH-jvmci" as an
    arch-specific directory. (Closes: #1101094)
  * Use non-matching group for regex to fix perlcritic
  * Explicitly add libcrypt-dev as a B-D, as part of the efforts to remove it
    from build-essentials. (Closes: #1107029)
  * Downgrade non-virtual-facility-in-initd-script to warning.
    (Closes: #1105037)

  [ Simon Quigley ]
  * Add "questing" as a known Ubuntu distribution.

  [ Bastien Roucariès ]
  * Add jquery-validate as js well known package
  * Add libjs-jquery-validation as well known embded file

  [ Alexandre Detiste ]
  * deprecate more CDBS modules
  * dh-buildinfo is now marked as a dummy transitional stub

  [ Marc Leeman ]
  * add test for appimages in debian packages
  * package-installs-appimage: correct detection on magic bytes

  [ Andrea Pappacoda ]
  * modprobe: also look for files in /usr/lib/modprobe.d
  * modprobe: add directory-in-modprobe.d check
  * modprobe: add file-in-etc-modprobe.d check
  * modprobe: add dh-install-instead-of-dh-installmodules tag.
    (Closes: #1107661)

  [ Sebastian Krzyszkowiak ]
  * Add dawn as known PureOS distribution

  [ Samuel Thibault ]
  * Adjust other i386 architecture detection. (Closes: #1100664)

  [ Chris Hofstaedtler ]
  * Upgrade package-contains-usr-unmerged-pathnames to error

  [ Fabian Grünbichler ]
  * field-too-long: allow Static-Built-Using

  [ Johannes Schauer Marin Rodrigues ]
  * data/fields/binary-fields: add support for Protected. (Closes: #1077637)

  [ Maytham Alsudany ]
  * symbols-file-missing-build-depends-package-field: consider
    Build-Depends-Packages field as well. (Closes: #1109992)

  [ Andrius Merkys ]
  * In files/source-missing check, look for longest lines only in JavaScript
    and HTML files

  [ Nilesh Patra ]
  * Update nusoap.php embedded package from libnusoap-php -> php-econea-nusoap
    (Closes: #1111302)

  [ Michael Biebl ]
  * Drop package-contains-usr-unmerged-pathnames as it duplicates
    aliased-location (Closes: #1106391)

  [ Bo YU ]
  * improve ocaml-dev-file-not-in-usr-lib-ocaml tag

  [ William Desportes ]
  * Fix override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS with
    debhelper-compat (>= 13). (Closes: #950455, #1111506)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Mon, 25 Aug 2025 22:56:01 -0400

lintian (2.122.0ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2109768). Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.
    - d/control: Fix wrong dependency plzip to lzip
  * New changes:
    - Add "questing" as a known Ubuntu distribution. (LP: #2109817)

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Thu, 01 May 2025 17:58:13 +0530

lintian (2.122.0) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Add Maytham Alsudany as maintainer
  * d/control: Bump Standards-Version to 4.7.2. No changes needed.

  [ Maytham Alsudany ]
  * Implement separate hint for when a language group code is used as a locale
    (Closes: #1013946)
  * Account for indented imports in Python stdlib-deprecation check
    (Closes: #1084833)
  * Add duke to list of known distributions
  * Emit error when a trailing comma is present in the Maintainer field
    (Closes: #1089649)
  * Emit unknown-file-in-python-module-directory tag if __init__.py found in
    dist-packages root (Closes: #1071061)
  * Check for another old FSF address (Closes: #1080497)
  * d/salsa-ci.yml: Disable bookworm-backports job
  * Allow for "=" in --home option when checking
    maintainer-script-lacks-home-in-adduser (Closes: #1055591)
  * Emit warning when nproc is used in debian/rules (Closes: #1088671)
  * Add support and checks for the Static-Built-Using field (Closes: #1050428)
  * Decrease severity of spelling-error-in-binary tag to experimental
  * Enable UNLINK option for tempfile created by Lintian::Storage::MLDBM
    (Closes: #1014083)
  * Lower severity of bash-completion-with-hashbang to pedantic
    (Closes: #965327)
  * Remove "./" from d/copyright glob before testing if it matches anything
    (Closes: #1008479)
  * Convert silent-on-rules-requiring-root to a classification hint
    (Closes: #1091912)
  * Allow sourcing init-functions from /usr/lib as well (Closes: #1099868)
  * Update check for dependency on python3-numpy-abi (Closes: #1094364)
  * Replace reference to non-existent "unpack_errors" property with
    "unpack_messages" (Closes: #1065175)
  * Add testcase for filename with the "+" sign in a DEP5 copyright file

  [ Christoph Biedl ]
  * Adjust i386 architecture detection (Closes: #1100664)

  [ Samuel Thibault ]
  * data/binaries/arch-regex: Add hurd-amd64 case

  [ Christopher Obbard ]
  * Correctly determine if package has been built with golang (Closes: #947630)

  [ Timo Paulssen ]
  * When "info" is set, also have tag descs in html

  [ Charles Short ]
  * Add profile for eLxr Linux

  [ Bo YU ]
  * Update build-depends with libperl-critic-community-perl to replace
    libperl-critic-freenode-perl. (Closes: #1101405)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 28 Mar 2025 14:43:21 -0400

lintian (2.121.2ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.
  * Dropped change, included in Debian:
    - Add support for Standards-Versions up to and including 4.7.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 10:07:03 -0500

lintian (2.121.2) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Make code perltidy again
  * Revert deletion of debian/source/local-options
  * refresh data for Policy 4.7.2. Thanks to vimerbf for trying to fix this
    issue.

  [ Maytham Alsudany ]
  * Update list of deprecated cdbs makefiles and update test.
    Thanks to Alexandre Detiste (Closes: #1099899, #1100238)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Wed, 19 Mar 2025 17:50:19 -0400

lintian (2.121.1+nmu1ubuntu2) plucky; urgency=medium

  * Add support for Standards-Versions up to and including 4.7.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Feb 2025 18:07:42 -0600

lintian (2.121.1+nmu1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 22 Feb 2025 09:28:07 +0100

lintian (2.121.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/clean: Add trailing slashes to directories to fix clean
    rule.
  * t: Disable tests that fail with dpkg/1.22.12 and newer until
    the maintainer can have a look at a better fix.
    (Closes: #1092092, #1092381)

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Feb 2025 10:44:57 +0000

lintian (2.121.1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Dec 2024 17:41:24 +0100

lintian (2.121.1) unstable; urgency=medium

  * Source-only upload. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 05 Dec 2024 15:52:11 -0500

lintian (2.121.0) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Add new binary package lintian-doc
  * Remove mentions of the old lintian.debian.org infra from the documentation

  [ Helmut Grohne ]
  * Diagnose files in aliased locations

  [ Santiago Ruano Rincón ]
  * Warn about dependency on obsolete bootstrap packages (Closes: #1086740)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 05 Dec 2024 14:37:45 -0500

lintian (2.120.0ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Nov 2024 20:28:34 +0100

lintian (2.120.0) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - dep3-format-patch-author-or-from-is-better
      - invalid-dep3-format-patch-bug-field-default-value
      - invalid-dep3-format-patch-bug-not-contain-url
      - invalid-dep3-format-patch-maybe-bug-debian
      - invalid-dep3-format-patch-no-description-and-subject
      - invalid-dep3-format-patch-no-origin
      - invalid-dep3-format-patch-origin-field-default-value
      - invalid-dep3-format-patch-wrong-bug-debian-url
      - invalid-dep3-format-patch-wrong-last-update

  [ Louis-Philippe Véronneau ]
  * depends-on-obsolete-package: reduce the severity to warning.
    (Closes: #1029187)

  [ Timo Paulssen ]
  * Don't re-check if python is in dependencies for every file.
  * Make File::Contents::LineLength::visit_patched_files a bit faster.

  [ Simon Quigley ]
  * Add "plucky" as a known Ubuntu distribution.

  [ Nicolas Peugnet ]
  * Indent some lists with a single space to fix console output.
  * Indent descriptions with a single space.
  * Fix some obvious broken links to man pages.
  * Fix clearly invalid Markdown tag descriptions.
  * Fix some more invalid <code> tags in literal blocks.
  * Indent some text to turn them into literal blocks.

  [ Yavor Doganov ]
  * Don't emit package-contains-documentation-outside-usr-share-doc for .gorm
    files and GNUstep docs. (Closes: #1084465).

  [ Andrea Pappacoda ]
  * Do not raise silent-on-rules-requiring-root if dpkg-build-api is v1 or
    newer. (Closes: #1057176)

  [ Hideki Yamane ]
  * Extend DEP3 check.

  [ наб ]
  * command-with-path-in-maintainer-script: recommend command -v (standard
    built-in) instead of which (some program).

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 02 Nov 2024 16:13:21 -0400

lintian (2.119.0ubuntu2) plucky; urgency=medium

  * Add plucky as known Ubuntu distribution

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Oct 2024 16:01:45 +0200

lintian (2.119.0ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 18:38:33 +0200

lintian (2.119.0) unstable; urgency=medium

  [ Blair Noctis ]
  * Add fish completions for lintian, lintian-explain-tags,
    lintian-annotate-hints.

  [ Louis-Philippe Véronneau ]
  * Recommend node-async instead of the now removed libjs-async.
    (Closes: #1082761)
  * Mark 'source-is-missing' as Experimental.
  * Remove string interpolations from uses-deprecated-python-stdlib tag
    description.

  [ Otto Kekäläinen ]
  * Salsa CI: Remove unnecessary autopkgtest timeout check.
  * Minor improvements to CONTRIBUTING.md.

  [ Bas Couwenberg ]
  * Java 21 is now default. (Closes: #1080352)

  [ Petter Reinholdtsen ]
  * Extended AppstreamMetadata check to validate XML content.

  [ Rebecca N. Palmer ]
  * Improve uses-deprecated-python-stdlib. (Closes: #1077324)

  [ Andrius Merkys ]
  * Compare parsed version strings of YAML::XS. (Closes: #1082612)

  [ Adrian Bunk ]
  * source-nmu-has-incorrect-version-number: Fix false positive for +deb*u*
    versions.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 29 Sep 2024 15:16:45 -0400

lintian (2.118.2) unstable; urgency=medium

  * Validate domain's TLD when checking for bogus-mail-host. (Closes: #1081316)
  * Fix typo in documentation

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 10 Sep 2024 21:46:32 -0400

lintian (2.118.1) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Fix false-positive for uses-deprecated-python-stdlib tag (Closes: #1077324)
  * Add myself to the uploaders

  [ Bastien Roucariès ]
  * Refresh data
  * Document release

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 01 Sep 2024 19:45:56 -0400

lintian (2.118.0ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 08:58:10 +0200

lintian (2.118.0) unstable; urgency=medium

  * Retroactively add missing entry to the 2.117.1 changelog entry
    (Closes: #1077557)
  * Bump version due to tag added in 2.117.1
  * Use C.UTF8 locale for building documentation (fix a FTBFS)

 -- Bastien Roucariès <rouca@debian.org>  Tue, 30 Jul 2024 09:21:17 +0000

lintian (2.117.1ubuntu2) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.
    - Depend on locales-all to fix build due to rst2html

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2024 10:39:49 +0200

lintian (2.117.1) unstable; urgency=medium

  * Summary of tag changes:
    + Added:
      - gir-package-name-does-not-match
      - package-installs-deprecated-python2-path
      - systemd-alternatives
      - systemd-diversion
      - uses-deprecated-python-stdlib
    + Removed:
      - uses-python-distutils

  [ Axel Beckert ]
  * Retroactively mention #1033894 in previous changelog entry.
  * data/changes-file/known-dists: Add trixie and forky
  * Refresh data (fonts and debhelper add-ons and commands)
  * Refresh data (add-ons, commands, fonts)

  [ Otto Kekäläinen ]
  * Salsa-CI: Extend autopkgtest job timeout to 3h by default
  * Declare compliance with Debian Policy 4.7.0
  * Salsa-CI: Run both current and new Lintian to
    ensure full compatibility

  [ Bastien Roucariès ]
  * Avoid an error with recent dpkg tools
  * Workarround failure with recent gcc
  * invalid-versioned-provides could not be anymore tested
    due to dpkg-dev change
  * rebuild against dh-elpa >=2.1.5 (Closes: #1077112)

  [ Simon McVittie ]
  * gobject-introspection | dh-sequence-gir implements dh --with=gir
    (Closes: #964290, #1063709)
  * gir: Also look for GIR XML in /usr/lib/${DEB_HOST_MULTIARCH}/gir-1.0
  * t/recipes/checks/desktop/gnome/gir: Install multiarch files correctly
  * t: Assert that desktop/gnome/gir checks are done on multiarch locations
  * t: Exercise the good (no warnings) case for multiarch desktop/gnome/gir
  * tags: Describe preferred Provides for typelib-package-name-does-not-match
  * tags: Mention the multiarch directory for public GIR XML
  * tags: Say how to add Depends/Provides for gir-missing-typelib-dependency
  * t: Catch up with best practices for GIR XML packaging
  * desktop/gnome/gir: Check for GIR XML canonical naming
  * data: Add nogir as a known build-profile

  [ Louis-Philippe Véronneau ]
  * missing-prerequisite-for-pyproject-backend: add support for whey
  * Modify checks for the python3-pdm-pep517 -> python3-pdm-backend rename.
  * New tag: uses-deprecated-python-stdlib
  * New tag: package-installs-deprecated-python2-path (Closes: #1033294)
  * Refactor 'python-module-in-wrong-location' check

  [ Nilesh Patra ]
  * Obsolete package python3-pdm-pep517 replaced by python3-pdm-backend
  * Remove strict check for comma in "Origin" field in DEP3 header
  * [ci skip] Revert "Remove strict check for comma in "Origin" field in
    DEP3 header"

  [ James McCoy ]
  * t: Fix compilation failures with dpkg 1.22.6 (Closes: #1066261)

  [ Colin Watson ]
  * Add alioth-lists.debian.net to team maintenance check

  [ Simon Quigley ]
  * Add "oracular" as a known Ubuntu distribution.

  [ Bo YU ]
  * Update debian-policy for 4.7.0

  [ Kentaro Hayashi ]
  * ci: check longer timeout for autopkgtest

  [ Luca Boccassi ]
  * Upgrade the severity of missing-systemd-service-for-init.d-script from
    warning to error.
  * Raise an error when diversions/alternatives are used for systemd
    files.
  * wrong-path-for-interpreter: allow aliased locations (Closes: #1051338)

  [ Mattias Ellert ]
  * Fix regex replacement for transition suffix g
  * Only remove transition suffices when preceded by a digit
  * Add transition suffix t64 for 64 bit time_t transition

  [ William Desportes ]
  * Improve CONTRIBUTING.md

  [ Edu Gómez Escandell ]
  * Fix inconsistencies in documentation of lintian-explain-tags

  [ Andrius Merkys ]
  * Rewrite files/contents/line-length in a more effective manner.
  * Drop unused semicolor counting code from lib/Lintian/Check/Files/SourceMissing.pm
  * Speed up files/source-missing check

 -- Bastien Roucariès <rouca@debian.org>  Sat, 27 Jul 2024 21:39:04 +0000

lintian (2.117.0ubuntu2) oracular; urgency=medium

  * Add "oracular" as a known Ubuntu distribution.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 30 Apr 2024 11:27:09 -0500

lintian (2.117.0ubuntu1) noble; urgency=medium

  * Merge from Debian Unstable, remaining changes:
    - Fix building udebs, now that in Ubuntu noudebs is implied profile
      (LP: #1918120).
    - Add zst as allowed compression for .deb & .udeb although we don't
      actually ship udeb packages that support zst (LP: #1923845).
    - Add AC_INIT in
      macro-not-cross-compilation-safe/build-spec/orig/src/configure.ac
      (LP: #1950989).
    - Add -fPIC ld flags to
      checks/binaries/prerequisites/numpy/binaries-missing-depends-on-numpy-abi
    - macro-not-cross-compilation-safe is expecting line one, we added AC_INIT
      so it should now match line three.
    - Ubuntu enables LTO by default, so without-fat-lto-objects is expected to
      fail.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 21 Feb 2024 11:43:16 -0600

lintian (2.117.0) unstable; urgency=low

  The "One Year Later" Release.

  * Summary of tag changes:
    + Removed:
      - package-supports-alternative-init-but-no-init.d-script

  [ Multiple developers multiple times ]
  * Refresh data. (Re-adds the Loongson 64 architecture, see #1028654)
  * Run perltidy

  [ Axel Beckert ]
  * Fix "Use of uninitialized value $LINTIAN_CFG" in debug output.
  * data/spelling/corrections: Drop valid word "resizeable".
  * Salsa CI: add bookworm-backports, drop buster-backports.
  * Fix test suite issues caused by usrmerge changes in debhelper.
  * Udev+AppstreamMetadata checks: Detect udev rules also under /usr/lib/.
  * Add b-d on debhleper ≥ 13.11.8~ if testsuite is run at build time.
  * L::C::B::Corrupted::check_elf_issues(): Return immediately if file is
    no ELF file. Thanks to Corvin Köhne via MR !486.
  * L::Data: Rename one usage of $releases to $stylesheets. (Fixes copy
    and paste error.)
  * L::Data: lintian.d.o no more exists, so don't fetch files from there.
  * Add minimal test for "@recommends@" from !464 to "testsuite-general".
  * Salsa CI: Drop backports to bullseye (oldstable): Testsuite requires a
    newer debhelper version than available in bullseye-backports.
  * private/generate-tag-summary --in-place: Avoid mojibake by not
    double-encoding UTF-8.

  [ Andreas Beckmann ]
  * dh_dkms is now provided by dh-dkms instead of dkms. (See #1013417)

  [ Simon McVittie ]
  * Add test coverage for #1027744.
  * Treat man pages as optional for executables in /usr/libexec/.
  * Add test asserting that man pages are not required for libexec binaries.
  * obsolete-packages: Report gnome-common as obsolete.
  * tags: Raise typelib-not-in-multiarch-directory to warning level.

  [ Guido Günther ]
  * Add byzantium and octarine as known PureOS distributions.

  [ Hideki Yamane ]
  * Disable BLHC and BUILD_PACKAGE_ANY in debian/salsa-ci.yml.

  [ Simon Quigley ]
  * Add "mantic" and "noble" as a known Ubuntu distributions.

  [ Nilesh Patra ]
  * Make lintian recognize fasttrack as a dist.
  * Update known dists and oldstable epoch. (Closes: #1033894)
  * autopkgtest fix: Update badnocredit.raw for updated Adobe license tag
    check.
  * Fix rootless-builds.txt location in lintian tags. (Closes: #1051538)
  * Don't check for "RECORD" in .dist-info, they are now always excluded.

  [ Bastien Roucariès ]
  * Detect embedded yajl and libzstd.
  * Add lodash for embedded JavaScript library.
  * Add node-pako as embedded library.
  * Improve detection of node-pako.
  * Add node-jzip-utils for detection of embedded JavaScript.
  * Detect node-jzip as embedded JavaScript
  * Add a punycode and codemirror JavaScript library.
  * Remove "salsaci" suffix for length test.

  [ James Addison ]
  * Fix license-problem-font-adobe-copyrighted-fragment-no-credit.

  [ Paul Wise ]
  * Add 01.org to the list of obsolete domains.

  [ Shengjing Zhu ]
  * Adapt testsuite to groff 1.23 warning message. (Closes: #1042049)

  [ Thompson, Brian ]
  * Make SVG graphs more understandable by adding the tag name.

  [ Agathe Porte ]
  * Add missing closing parens in invalid-field-for-derivative.tag.

  [ Benjamin Drung ]
  * Exclude not-binnmuable-* tags in ubuntu/main profile. (LP: #2026208)

  [ Sebastian Crane ]
  * Detect recent versions of the Lua interpreter.

  [ Gioele Barabucci ]
  * Remove obsolete tag
    "package-supports-alternative-init-but-no-init.d-script".

  [ Louis-Philippe Véronneau ]
  * missing-prerequisite-for-pyproject-backend: add support for meson.
  * missing-prerequisite-for-pyproject-backend: add support for sipbuild.

  [ Jiajie Chen ]
  * arch-regex: Add loong64 support.

  [ Alexandre Detiste ]
  * obsolete-packages: Add "pkg-config => pkgconf".

  [ Richard Lewis ]
  * Add *~ to ".gitignore".
  * Fix exit code when --show-overrides is given and an 'error' tag is
    overridden. Also add a test for it. (Closes: #1019690)
  * Update testsuite documentation.

  [ Emilio Pozuelo Monfort ]
  * Don't emit source-nmu-has-incorrect-version-number for stable updates.
    (Closes: #1022759)

  [ Valentin Vidic ]
  * Allow @recommends@ as autopkgtest dependency.

 -- Axel Beckert <abe@debian.org>  Mon, 05 Feb 2024 21:58:11 +0100

lintian (2.116.3ubuntu4) noble; urgency=medium

  * Add "noble" as a known Ubuntu distribution.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Oct 2023 12:04:15 -0500

lintian (2.116.3ubuntu3) mantic; urgency=medium

  * Adapt groff 1.23 warning message (LP: #2036881).

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Thu, 21 Sep 2023 15:22:08 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog lintian-doc`.
